package cn.hnthyy.thmz.service.his;

import cn.hnthyy.thmz.entity.his.YpZdDict;

import java.util.List;

public interface YpZdDictService {
    /**
     * 根据药品编码和规格查询药品信息
     * @param code
     * @param serial
     * @return
     */
    YpZdDict queryYpZdDictByCodeAndSerial(String code,String serial);

    /**
     * 根据药品编码集合查询药品字典列表
      * @param codes
     * @return
     */
    List<YpZdDict> queryYpZdDictByCodeList(String codes);


    /**
     * 根据药品编码查询药品信息
     *
     * @param code
     * @return
     */
    List<YpZdDict> queryYpZdDictByCode(String code);
}
